#
# spec file for package enlightenment-branding-openSUSE
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           enlightenment-branding-openSUSE
Version:        0.2
Release:        1.7
Summary:        Enlightenment openSUSE branding
License:        GPL-2.0
Group:          System/GUI/Other
Url:            https://en.opensuse.org/Portal:Enlightenment
Source:         def-ibar.txt
Source2:        AUTHORS
Source3:        COPYING
Provides:       enlightenment-branding = %version
Supplements:    packageand(enlightenment:branding-openSUSE)
Conflicts:      otherproviders(enlightenment-branding)
Requires:       enlightenment-profiles-openSUSE
#provides default elementary theme
Requires:       enlightenment-theme-openSUSE
Recommends:     enlightenment-theme-dark
Recommends:     enlightenment-theme-Flat
Recommends:     enlightenment-theme-openSUSE-neon
Recommends:     enlightenment-theme-openSUSE-ice
Recommends:     enlightenment-theme-openSUSE-oliveleaf
Requires:       enlightenment-profiles-openSUSE
# recommend terminology to make xdg-open look better
Recommends:     terminology
Conflicts:      terminology-theme-upstream
Conflicts:      e-branding-openSUSE
Conflicts:      otherproviders(e17-branding)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# At recomendation of DimStar, add obsoletes but not Provides, this way people being
#  auto upgraded by the enlightenment pattern will be upgraded without any issues and
#  people who have manually installed e17 will be able to keep it
Obsoletes:      e17-branding-openSUSE
Obsoletes:      e-branding-openSUSE

%description
openSUSE specific files as specific branding.

%prep

%build

%install
install -m 0755 -d %{buildroot}%{_libdir}/enlightenment/modules/wizard/
install -m 0644 -t %{buildroot}%{_libdir}/enlightenment/modules/wizard/ %SOURCE0
install -m 0755 -d %{buildroot}%{_docdir}/%{name}
install -m 0644 -t %{buildroot}%{_docdir}/%{name} %SOURCE2 $SOURCE3

%files
%defattr(-,root,root)
%{_docdir}/*
%{_libdir}/enlightenment/

%changelog
* Thu Feb 24 2022 Simon Lees <sflees@suse.de>
- Update list of themes recommended. v0.2
* Wed Jun 10 2015 simon@simotek.net
- At the recommendation of DimStar Obsolete but don't provide
  e17 branding
* Mon Dec 29 2014 simon@simotek.net
- Should require openSUSE Profiles as these are a fundamental part
  of the branding
* Mon Sep 22 2014 simon@simotek.net
- New 13.2 themes added
- Updated def-ibar.txt
  Includes hexchat and xchat in text implementations
  Browsers before text editors
  Add kate to the list of text editors
  Add Yast2
* Wed Feb 19 2014 simon@simotek.net
- Fixed Summary's mention of e17 and tried to fix
  Branding conflicts.
* Tue Feb 18 2014 simon@simotek.net
- Conflict with e17 branding
* Tue Dec 24 2013 simon@simotek.net
- update for terminology
* Sun Dec 22 2013 simon@simotek.net
- e-theme-openSUSE replaced with e17-theme-openSUSE
* Sun Nov  3 2013 simon@simotek.net
- Require default theme otherwise e17 won't start the first time
* Wed Oct  2 2013 simon@simotek.net
- Use new openSUSE theme as default
  Recommend other themes as well
* Thu Jan 10 2013 sleep_walker@suse.cz
- add AUTHORS and COPYING files
- name files properly
* Wed Jan  9 2013 sleep_walker@suse.cz
- require e-profiles-openSUSE
* Fri Jan  4 2013 sleep_walker@suse.cz
- require default theme for now
* Tue Dec 18 2012 sleep_walker@suse.cz
- let there be openSUSE branding!
